#
# spec file for package opensm
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           opensm
Summary:        Infiniband Subnet Manager
Version:        3.3.7
Release:        0.8.1
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.bz2
Source1:        conf.sysconfig
Patch0:         %name-3.2.6_20090317-init.patch
Patch1:         %name-3.2.6_20090317-configure-bracket.patch
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ libibumad-devel libibverbs-devel
PreReq:         %fillup_prereq
ExcludeArch:    s390 s390x

%description
OpenSM provides an implementation for an InfiniBand Subnet Manager and
Administration. Such a software entity is required to run for in order
to initialize the InfiniBand hardware (at least one per each InfiniBand
subnet).



Authors:
--------
    Steve King
    Anil Keshavamurthy
    Eitan Zahavi <eitan@mellanox.co.il>
    Yael Kalka <yael@mellanox.co.il>
    Shahar Frank
    HalRosenstock <halr@voltaire.com>
    Sasha Khapyorsky <sashak@voltaire.com>

%package devel
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Summary:        Infiniband Subnet Manager
Requires:       %{name} = %{version} libibumad-devel

%description devel
OpenSM provides an implementation for an InfiniBand Subnet Manager and
Administration. Such a software entity is required to run for in order
to initialize the InfiniBand hardware (at least one per each InfiniBand
subnet).



Authors:
--------
    Steve King
    Anil Keshavamurthy
    Eitan Zahavi <eitan@mellanox.co.il>
    Yael Kalka <yael@mellanox.co.il>
    Shahar Frank
    HalRosenstock <halr@voltaire.com>
    Sasha Khapyorsky <sashak@voltaire.com>

%prep
%setup -q
%patch0 -p1
%patch1
cp %{S:1} .
# ./autogen.sh
# autoreconf -i -f -v

%build
%configure
make

%install
export NO_BRP_STALE_LINK_ERROR=yes
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
# install some extra scripts
install -D scripts/sldd.sh $RPM_BUILD_ROOT/%_sbindir/sldd.sh
# install the sysconfig configuration file and make a compat link
install -m 700 -D conf.sysconfig ${RPM_BUILD_ROOT}/var/adm/fillup-templates/sysconfig.%name
install -d ${RPM_BUILD_ROOT}/%_sysconfdir
ln -s %_sysconfdir/sysconfig/opensm ${RPM_BUILD_ROOT}/%_sysconfdir/opensm.conf
install -D -m 644 scripts/opensm.logrotate ${RPM_BUILD_ROOT}/%_sysconfdir/logrotate.d/opensm
install -d ${RPM_BUILD_ROOT}/var/cache/opensm

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{fillup_only}
/sbin/ldconfig

%postun
/sbin/ldconfig
%restart_on_update opensmd
%insserv_cleanup

%files
%defattr(-,root,root,-)
%{_sbindir}/opensm
%{_sbindir}/osmtest
%{_mandir}/man8/*
%doc AUTHORS COPYING README doc/performance-manager-HOWTO.txt doc/QoS_management_in_OpenSM.txt
%{_sysconfdir}/init.d/opensmd
%{_sbindir}/sldd.sh
%config(noreplace) %{_sysconfdir}/logrotate.d/opensm
%{_sysconfdir}/opensm.conf
%dir /var/cache/opensm
/var/adm/fillup-templates/sysconfig.%name
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/infiniband/*
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Fri Feb 18 2011 ro@suse.de
- ExcludeArch:    s390 s390x
* Mon Oct 25 2010 jjolly@novell.com
- Update to v.3.3.7 from OFED 1.5.2
- Update opensm.init script for update changes
* Mon May 24 2010 jjolly@novell.com
- Updated to v3.3.5 from OFED 1.5.1
- Fixed config bracket patch to match removal of libibcommon
- Removed 3.2 release notes references in %%files
* Tue Feb 23 2010 jjolly@suse.de
- Update to 3.2.6_20090317 from OFED 1.4.2
  - Update %%files section
* Tue Jun 16 2009 jjolly@suse.de
- Applied fixes to opensmd init script (bnc#487303)
* Wed Oct 15 2008 jjolly@suse.de
- Update to 3.1.11 from OFED 1.3.1 release
* Fri Feb 29 2008 jjolly@suse.de
- Update to 3.1.10 from OFED 1.3 GA release
- Changed init patch to modify .in template files
* Tue Jan 29 2008 jjolly@suse.de
- Update to 3.1.8 from OFED 1.3 rc2
- Moved the init patch and fixed it for 3.1.8
- Fixed rpath build error
- Added sbin files
* Thu Jul 12 2007 hvogel@suse.de
- Install a missing script
- Install configuration as sysconfig file
- Include init script
* Wed Jul  4 2007 hvogel@suse.de
- Add GPL COPYING file [#289225]
* Tue Jul  3 2007 hvogel@suse.de
- Use 3.0.3 which is the correct version included in
  OFED 1.2
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 2.2.0
